Web lists-archives.com

Is support for 10.8 dropped?




Hi, ALL,
I am a successful user of git and my project is locad on GitHub (still
in development).

I have console git client installed on  all 3 major platforms -
Windows, Linux and Mac.

Up until recently everything was working fine. However about a month
ago I started experiencing issues with OSX.

I am running OSX 10.8 and initially I was receiving the following:

[quote]
fatal: unable to access
'https://github.com/oneeyeman1/dbhandler.git/': error:1407742E:SSL
routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version
[/quote].

After asking on the stackoverflow I received a suggestion of updating
the git application.
I did that successfully) and now am getting the following:

[quote]
MyMac:dbhandler igorkorot$ /usr/local/git/bin/git pull
dyld: lazy symbol binding failed: Symbol not found: ___strlcpy_chk
  Referenced from: /usr/local/git/libexec/git-core/git
  Expected in: /usr/lib/libSystem.B.dylib
dyld: Symbol not found: ___strlcpy_chk
  Referenced from: /usr/local/git/libexec/git-core/git
  Expected in: /usr/lib/libSystem.B.dylib
error: fetch died of signal 5
[/quote]

Now my question is - how I can upgrade the git console client for my
OSX version?
It looks like all installers are written for 10.9+ and the only way to
work it is to update the OS?

Is there a version of the git console app for OSX 10.8?

Thank you.